Subject: bug#59676: 30.0.50; package-report-bug fails getting maintainer address

From: Eshel Yaron <[email-masked]>
Date: Wed, 30 Nov 2022 00:09:33 +0200

Hello Philip,

Philip Kaludercic <[email-masked]> writes:

> Eshel Yaron <[email-masked]> writes:
>
>> 1. emacs -Q
>> 2. M-x list-packages
>> 3. Move point to over some package, e.g. Magit
>> 4. M-x package-report-bug
>> 5. See error:
>>
>> package-maintainers: Wrong type argument: char-or-string-p, ("Jonas Bernoulli" . "[email-masked]")
>
> Does the following fix it?
>
> diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
> index 8d44fae30a..8e7c34da38 100644
> --- a/lisp/emacs-lisp/package.el
> +++ b/lisp/emacs-lisp/package.el
> @@ -4549,7 +4549,7 @@ package-maintainers
>        (user-error "Package `%s' has no explicit maintainer" name))
>       ((and (not (progn
>                    (require 'ietf-drums)
> -                  (ietf-drums-parse-address maint)))
> +                  (ietf-drums-parse-address (cdr maint))))
>             (null no-error))
>        (user-error "Package `%s' has no maintainer address" name))
>       ((not (null maint))

Yes, that seems to work.  With this I now get a pre-populated Message
mode buffer, as expected.

>> On another note, seems package-report-bug could also benefit from an
>> autoload cookie, no?
>
> I think that would be a good idea, but I don't know if it is too late
> now that Emacs 29 has been cut.

I see, maybe it should only be added to the master branch then?  Anyway
it's not very crucial (to me at least).

Thanks,
Eshel